Get Loyalty Configuration

This endpoint provides information such as settings, features and requirements based on the account's configuration.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Field nameTypeDescription
enabledboolIndicates whether a loyalty provider is active for this channel link.
providerNamestringThe display name of the active loyalty provider.
externalSignUpUrlstring | nullSome providers will only support a external sign-up process. The channel can then redirect customers to this URL.
featuresobjectHolds information on the features and requirements for the active loyalty provider.
features.supportsSSOboolIndicates whether the loyalty provider supports SSO.
features.supportsExternalSignUpUrlboolIndicates whether the loyalty provider supports external sign-up url.
features.supportsWalletPointsBalanceboolIndicates whether the loyalty provider supports a point-based earning/spending system.
features.supportsWalletCashBalanceboolIndicates whether the loyalty provider supports a cash-based earning/spending system.
features.supportsBOGOFProgramsboolIndicates whether the loyalty provider supports buy-one-get-one-free programs.
features.supportsFreeItemProgramsboolIndicates whether the loyalty provider supports free item programs.
features.supportsFlatProgramsboolIndicates whether the loyalty provider flat-off-order programs
features.requiresEmailboolIndicates whether the loyalty provider requires this field for creating a user.
features.requiresPhoneNumberboolIndicates whether the loyalty provider requires this field for creating a user.
features.supportsDynamicConfigurationboolIndicates whether the loyalty provider is able to retrieve configuration from the loyalty partner at runtime, such as cashback settings, wallet support for cash/points, etc.
cashbackConfigCashbackConfigContains cashback related configuration. See CashbackConfigfor more details

Table: CashbackConfig

FieldTypeDefaultNullableDescription
titleStringNoneYesThe title of the cashback program.
descriptionStringNoneYesA marketing description of the program.
earningRulesList[CashbackEarningRule][]NoRules defining how customers earn rewards.
burningRulesList[CashbackBurningRule][]NoRules defining how customers spend rewards.

Table: CashbackReward

FieldTypeDefaultNullableDescription
typeString(Required)NoReward type: "percentage" or "fixed".
valueInteger(Required)NoThe numeric value of the reward.
  • Fixed amounts: representing the smallest currency unit. Eg. $10.34 will be returned as 1035
  • Percentage amounts: The value for percentage of 23.43% will be returned as 2343.

Table: CashbackEarningRule

FieldTypeDefaultNullableDescription
typeString(Required)NoEarning type: "cash_back" or "sign_up".
rewardCashbackReward(Required)NoThe specific reward associated with this rule.

Table: CashbackBurningRule

FieldTypeDefaultNullableDescription
typeCashBackBurningRuleType(Required)NoAlways purchase.
costCashbackBurningRuleCostPercentage
CashbackBurningRuleCostFixed
(Required)NoThe cost details (Percentage or Fixed).

Table: CashbackBurningRuleCostPercentage

FieldTypeDefaultNullableDescription
typeLiteral ("percentage")"percentage"NoIdentifier for percentage-based costs.
valueInteger(Required)NoThe percentage value.
maxBurningAmountIntegerNoneYesMaximum amount that can be burned per transaction.

Table: CashbackBurningRuleCostFixed

FieldTypeDefaultNullableDescription
typeString"fixed"NoIdentifier for fixed-amount costs.
valueInteger(Required)NoThe fixed amount value.

Path Params
string
required
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json